@mixin clearfix {
    &::after {
        clear: both;
        content: '';
        display: table;
    }
}

//  aspect ratio
//  https://engageinteractive.co.uk/blog/top-10-scss-mixins
//  https://ratiobuddy.com/
//  @include responsive-ratio($x, $y); // $x, $y
@mixin responsive-ratio($x, $y) {
    $padding: unquote(($y / $x) * 100 + '%');

    position: relative;
    height: 0;
    width: 100%;
    padding-top: $padding;
}

//  Set to a certain percentage
//  @include coordinates($xAxis, $yAxis); // $xAxis, $yAxis
@mixin coordinates($xAxis, $yAxis) {
    position: absolute;
    top: $yAxis;
    left: $xAxis;
    -webkit-transform: translate(-$xAxis, -$yAxis);
    -ms-transform: translate(-$xAxis, -$yAxis);
    transform: translate(-$xAxis, -$yAxis);
}
